using System;

internal sealed class Delegate626 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate626 delegate626_1)
	{
		return delegate626_1(object_0);
	}

	public extern Delegate626(object object_0, IntPtr intptr_0);

	static Delegate626()
	{
		Class10.smethod_13(typeof(Delegate626).TypeHandle);
	}

	internal static Delegate626 delegate626_0;
}
